Loading...
Searching...
No Matches
ESceneNodeAnimatorTypes.h File Reference

Go to the source code of this file.

## Namespaces

namespace | irr
| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::scene
| All scene management can be found in this namespace: Mesh loading, special scene nodes like octrees and billboards, ...

## Enumerations

enum

irr::scene::ESCENE_NODE_ANIMATOR_TYPE {
irr::scene::ESNAT_FLY_CIRCLE = 0 , irr::scene::ESNAT_FLY_STRAIGHT , irr::scene::ESNAT_FOLLOW_SPLINE , irr::scene::ESNAT_ROTATION ,
irr::scene::ESNAT_TEXTURE , irr::scene::ESNAT_DELETION , irr::scene::ESNAT_COLLISION_RESPONSE , irr::scene::ESNAT_CAMERA_FPS ,
irr::scene::ESNAT_CAMERA_MAYA , irr::scene::ESNAT_COUNT , irr::scene::ESNAT_UNKNOWN , irr::scene::ESNAT_FORCE_32_BIT = 0x7fffffff
}

| An enumeration for all types of built-in scene node animators. More...

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0